Create savepoint

- « Session::rollbackTo

- Session::sql »

- PHP Manual
- mysql_xdevapi\Session
- Create savepoint

# Session::setSavepoint

(No version information available, might only be in Git)

Session::setSavepoint — Create savepoint

### Description

public mysql_xdevapi\Session::setSavepoint(string `$name` = ?): string

Create a new savepoint for the transaction.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`name`

  The name of the savepoint. The name is auto-generated if the optional `name` parameter is not defined as 'SAVEPOINT1', 'SAVEPOINT2', and so on.

### Return Values

The name of the save point.

### Examples

Example #1 mysql_xdevapi\Session::setSavepoint() example

    <?php$session    = mysql_xdevapi\getSession("mysqlx://user:password@localhost");$collection = $session->getSchema("addressbook")->getCollection("names");$session->startTransaction();$collection->add( '{"test1":1, "test2":2}' )->execute();$savepoint = $session->setSavepoint();$collection->add( '{"test3":3, "test4":4}' )->execute();$session->releaseSavepoint($savepoint);$session->rollback();?>